/* You can add global styles to this file, and also import other style files */
@import 'variables.scss';




html, body { height: 100%; }
body {margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

// moved here to styles so bg-deep is not required
.mat-mdc-menu-panel.notifications-header-menu {  
    max-width: fit-content !important; // override original
    background-color: $color-side-nav; 
}

.notifications-header-menu .mat-mdc-menu-content {
    padding: 0 !important;
}  


.mat-mdc-snack-bar-container { // TODO FIX ME
    --mat-mdc-snack-bar-button-color: $color-vacc-orange;
    --mdc-snackbar-container-color: $color-vacc-black;
    --mdc-snackbar-supporting-text-color: $color-vacc-light-orange;
}


.ant-picker-now { // Hide NOW in time picker
    display: none !important;
}



app-svg-icon {
    @include flex(center, center);
}

.mat-typography p {
    margin: 0;
}

p {
    margin-inline-start: 0;
    margin-inline-end: 0;
    margin: 0;
}

button {
    all: unset;
    cursor: pointer;
}

.row {
    @include flex(flex-start,flex-start);
}

.menu-row {
    @include flex(flex-start,flex-start);
    padding-left: 10px;

    &:hover {
        opacity: 0.75;
    }
}

.column {
    @include flex(flex-start,flex-start,column);
}

.center {
    @include flex(center,center);
}

a {
    text-decoration: none;
}


.body {
    padding : 20px 20px 20px 20px;
    background-color: white;
}

/* NG ZORO */

$ant-select-color: rgba($color-vacc-black, 0.5);
$ant-error-color : #ff4d4f;


// To maintain error color due to line below
.ant-picker-status-error.ant-picker {
    border-color: $ant-error-color;
}

// Selector , date picker, time picker
.ant-select:not(.ant-select-customize-input) .ant-select-selector, .ant-picker {
    border-radius: 0.5em;
    min-height: 2.5em ; 
    border:  $ant-select-color solid 1px;
    padding: 0 1em ;
}

.ant-select-focused:not(.ant-select-disabled).ant-select:not(.ant-select-customize-input) .ant-select-selector, 
.ant-picker-focused, .ant-picker:hover {
    border-color: $color-vacc-light-blue;
}

// Date & Selector
.ant-picker-suffix, .ant-select-arrow {
    color : $ant-select-color;
}


